let Parse = getApp().Parse
const company = getApp().globalData.company
let navigationBarHeight = getApp().globalData.statusBarHeight + 44;
const rechText = require('../../../../../utils/rech-text')
const dateF = require('../../../../../utils/date')
const dateServ = require('../../../../../utils/date')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id: "",
        order: null,
    },
    async getRoomOrder() {
        let id = this.data.id
        console.log(id, 12222323);
        let RoomOrder = new Parse.Query('RoomOrder')
        RoomOrder.include('room')
        RoomOrder.include('shopStore')
        let roomOrder = await RoomOrder.get(id)
        console.log(roomOrder, 666666);
        let Order = roomOrder.toJSON()
        Order.createdAt = dateF.formatTime("YYYY-mm-dd HH:MM:SS", Order.createdAt)
        Order.room.note = rechText.formatRichText(Order.room.note)
        Order['day'] = parseInt((new Date(Order.endTime.iso).getTime() - new Date(Order.startTime.iso).getTime()) / (1000 * 60 * 60 * 24));
        Order.startTime = dateServ.formatTime('YYYY-mm-dd', Order.startTime.iso)
        Order.endTime = dateServ.formatTime('YYYY-mm-dd', Order.endTime.iso)
        this.setData({
            order: Order
        })
        console.log(this.data.order);
    },
    async submit() {
        try {
            let id = this.data.id
            let RoomOrder = new Parse.Query("RoomOrder")
            let roomOrder = await RoomOrder.get(id)
            roomOrder.set("status", 400)
            await roomOrder.save()
            console.log(res)
            wx.showToast({
                title: '核销成功',
                icon: 'none'
            })
        } catch (error) {
            wx.showToast({
                title: '核销失败',
                icon: 'none'
            })
        }

        wx.navigateBack({
            delta: 1,

        });


    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        let id = options.id
        this.setData({ id: id })
        this.getRoomOrder()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})